def lunar_arithmetic(a, b):
    # Приводим числа к строковому виду
    a_str = str(a)
    b_str = str(b)

    # Выравниваем длины строк
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    # Инициализируем строки для суммы и произведения
    sum_result = []
    product_result = []

    # Проходим по каждому разряду
    for digit_a, digit_b in zip(a_str, b_str):
        # Преобразуем символы в целые числа
        a_digit = int(digit_a)
        b_digit = int(digit_b)

        # Вычисляем лунную сумму и произведение
        sum_result.append(str(max(a_digit, b_digit)))
        product_result.append(str(min(a_digit, b_digit)))

    # Объединяем результаты в строки
    sum_result_str = ''.join(sum_result)
    product_result_str = ''.join(product_result)

    return sum_result_str, product_result_str


# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление результатов
sum_result, product_result = lunar_arithmetic(a, b)

# Вывод результатов
print(sum_result, product_result)